//+------------------------------------------------------------------+
//|                                                            1.mq4 |
//|                                                   Popovich Pasha |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Popovich Pasha"
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

//---- input parameters
extern int MA_Period=5;
extern int MA_shift=0;
extern int CountBars=30000;




//---- buffers
double val1[];
double val2[];
double MAA;
double MAB;
double ADA;
double ADB;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;
//---- indicator line
   IndicatorBuffers(6);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,241);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,242);
   SetIndexBuffer(0,val1);
   SetIndexBuffer(1,val2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//|                             easy                                 |
//+------------------------------------------------------------------+
int start()
  {   
   if (CountBars>=Bars) CountBars=Bars;
   SetIndexDrawBegin(0,Bars-CountBars);
   SetIndexDrawBegin(1,Bars-CountBars);
   int i,shift,counted_bars=IndicatorCounted();


   //---- check for possible errors
   if(counted_bars<0) return(-1);

   //---- initial zero
   if(counted_bars<1)
     {
      for(i=1;i<=CountBars;i++) val1[CountBars-i]=0.0;
      for(i=1;i<=CountBars;i++) val2[CountBars-i]=0.0;
     } 

for (shift = CountBars; shift>=0; shift--) 
{ 
   ADA=iAD(NULL,0,shift);
   ADB=iAD(NULL,0,shift-1);
   MAA=iMAOnArray(ADA,0,MA_Period,MA_shift,MODE_SMA,shift);
   MAB=iMAOnArray(ADB,0,MA_Period,MA_shift,MODE_SMA,shift-1);
if(MAA<MAB)
{
	val1[shift]=Low[shift]-5*Point;
}
if(MAA>MAB) 
{
	val2[shift]=High[shift]+5*Point;
}


}
   return(0);
  }
//+------------------------------------------------------------------+

